[prev in list] [next in list] [prev in thread] [next in thread] 

List:       ipcop-svn
Subject:    [Ipcop-svn] SF.net SVN: ipcop:[2143] ipcop/trunk/make.sh
From:       gespinasse () users ! sourceforge ! net
Date:       2008-11-30 18:45:33
Message-ID: E1L6rIT-0000Os-RL () dn4whf1 ! ch3 ! sourceforge ! com
[Download RAW message or body]

Revision: 2143
          http://ipcop.svn.sourceforge.net/ipcop/?rev=2143&view=rev
Author:   gespinasse
Date:     2008-11-30 18:45:33 +0000 (Sun, 30 Nov 2008)

Log Message:
-----------
That make no sense when using ./make.sh toolchain that
make.sh does not allow you to rebuild unless you set a special variable.

Suppress FORCE_REBUILD_TOOLCHAIN usage

Modified Paths:
--------------
    ipcop/trunk/make.sh

Modified: ipcop/trunk/make.sh
===================================================================
--- ipcop/trunk/make.sh	2008-11-30 17:47:00 UTC (rev 2142)
+++ ipcop/trunk/make.sh	2008-11-30 18:45:33 UTC (rev 2143)
@@ -191,10 +191,6 @@
 	# If you *absolutely* want to build ipcop as root, override this in .config. \
STRONGLY DISCOURAGED  ALLOW_ROOT_TO_BUILD=no && \
CUSTOMIZABLE_VARIABLES[${COUNTER}]="ALLOW_ROOT_TO_BUILD" && COUNTER=$[ ${COUNTER} +1 \
]  
-	# Default is not to rebuild the toolchain
-	FORCE_REBUILD_TOOLCHAIN=no && \
                CUSTOMIZABLE_VARIABLES[${COUNTER}]="FORCE_REBUILD_TOOLCHAIN" && \
-		COUNTER=$[ ${COUNTER} +1 ]
-
 	# A timeout variable (in seconds) for when we need user input within a specified \
amount of time  TIMEOUT=5 && CUSTOMIZABLE_VARIABLES[${COUNTER}]="TIMEOUT" && \
COUNTER=$[ ${COUNTER} +1 ]  
@@ -1578,39 +1574,6 @@
 	LOGFILE="${BASEDIR}/log_${MACHINE}/_build_01_toolchain.log"
 	export LOGFILE
 
-	# Check if a pre-built toolchain exists and if so, bail out
-	if [ -f ${BASEDIR}/cache/${TOOLCHAINNAME} -a x"${FORCE_REBUILD_TOOLCHAIN}" == x"no" \
                ]; then
-		beautify message INFO "Found existing toolchain"
-
-		echo -ne "Press any key to rebuild toolchain anyway [ ${TIMEOUT} sec ]: "
-		OFFSET=$[ ${#TIMEOUT} + 8 ]
-		TEMP=${#TIMEOUT}
-
-		while [ ${TIMEOUT} -ge 0 ]
-		do
-			read -t 1 -n 1 -s FORCE_REBUILD_TOOLCHAIN
-			[ x"${FORCE_REBUILD_TOOLCHAIN}" != x"no" ] && echo -ne "\n" && break
-
-			echo -ne "\\033[${OFFSET}D"
-
-			for SEQ in `seq 1 $[ ${TEMP} - ${#TIMEOUT} ]`
-			do
-				echo -ne "\\033[1D "
-			done
-
-			echo -ne "${TIMEOUT} sec ]: "
-			TIMEOUT=$[ ${TIMEOUT} - 1 ]
-			OFFSET=$[ ${#TIMEOUT} + 8 ]
-		done
-	fi
-
-	unset SEQ
-	unset TEMP
-
-	if [ -f ${BASEDIR}/cache/${TOOLCHAINNAME} -a x"${FORCE_REBUILD_TOOLCHAIN}" == x"no" \
                ]; then
-		exiterror "${BASEDIR}/cache/${TOOLCHAINNAME} found and you chose not to delete \
                it!\n"
-	fi
-
 	if [ -f $BASEDIR/log_${MACHINE}/01_toolchain/ccache-* ]; then
 		beautify message INFO "You can't partially rebuild some parts of the toolchain \
cleanly."  beautify message INFO "Preferably before each toolchain build, \
use:\n./make.sh clean" @@ -2097,42 +2060,36 @@
 		exiterror "Too late, the toolchain has been altered and made unfit for future \
rebuilding"  else
 		TOOLCHAINFILES="01_toolchain.lst"
-		if [ ! -f ${BASEDIR}/cache/${TOOLCHAINNAME} -o x"${FORCE_REBUILD_TOOLCHAIN}" != \
                x"no" ]; then
-			echo "*** Packaging the ${MACHINE} toolchain" >> ${LOGFILE}
-			echo -ne "${BOLD}*** Packaging the ${MACHINE} toolchain${NORMAL}\n"
+		echo "*** Packaging the ${MACHINE} toolchain" >> ${LOGFILE}
+		echo -ne "${BOLD}*** Packaging the ${MACHINE} toolchain${NORMAL}\n"
 
-			# Remove the man pages from the toolchain
-			${RM} /${TOOLS_DIR}/man /${TOOLS_DIR}/usr/man
+		# Remove the man pages from the toolchain
+		${RM} /${TOOLS_DIR}/man /${TOOLS_DIR}/usr/man
 
-			echo "Creating the ${MACHINE} toolchain tar archive" >> ${LOGFILE}
-			echo  -ne "Creating the ${MACHINE} toolchain tar archive"
-			cd ${BASEDIR} && tar --create --gzip --verbose \
-						--exclude="log_${MACHINE}/_build_0[0,2-6]_*.log" \
-						--exclude="log_${MACHINE}/_build_${TOOLCHAINFILES}" \
-						--exclude="log_${MACHINE}/0[2-6]_*" \
-						--file=cache/${TOOLCHAINNAME} \
-						build_${MACHINE}/${TOOLS_DIR} \
-						log_${MACHINE} > log_${MACHINE}/_build_${TOOLCHAINFILES}
+		echo "Creating the ${MACHINE} toolchain tar archive" >> ${LOGFILE}
+		echo  -ne "Creating the ${MACHINE} toolchain tar archive"
+		cd ${BASEDIR} && tar --create --gzip --verbose \
+					--exclude="log_${MACHINE}/_build_0[0,2-6]_*.log" \
+					--exclude="log_${MACHINE}/_build_${TOOLCHAINFILES}" \
+					--exclude="log_${MACHINE}/0[2-6]_*" \
+					--file=cache/${TOOLCHAINNAME} \
+					build_${MACHINE}/${TOOLS_DIR} \
+					log_${MACHINE} > log_${MACHINE}/_build_${TOOLCHAINFILES}
 
-			if [ $? -eq 0 ]; then
-				beautify message DONE
-			else
-				beautify message FAIL
-			fi
+		if [ $? -eq 0 ]; then
+			beautify message DONE
+		else
+			beautify message FAIL
+		fi
 
-			echo "Calculating the ${MACHINE} toolchain tar archive md5sum" >> ${LOGFILE}
-			echo -ne "Calculating the ${MACHINE} toolchain tar archive md5sum"
-			md5sum cache/${TOOLCHAINNAME} > cache/${TOOLCHAINNAME}.md5
+		echo "Calculating the ${MACHINE} toolchain tar archive md5sum" >> ${LOGFILE}
+		echo -ne "Calculating the ${MACHINE} toolchain tar archive md5sum"
+		md5sum cache/${TOOLCHAINNAME} > cache/${TOOLCHAINNAME}.md5
 
-			if [ $? -eq 0 ]; then
-				beautify message DONE
-			else
-				beautify message FAIL
-			fi
-		else
-			echo "*** ${MACHINE} toolchain tar archive already exists" >> ${LOGFILE}
-			echo -ne "${BOLD}*** ${MACHINE} toolchain tar archive already exists${NORMAL}"
+		if [ $? -eq 0 ]; then
 			beautify message DONE
+		else
+			beautify message FAIL
 		fi
 	fi
 
@@ -2187,10 +2144,10 @@
 		TOOLCHAIN_MD5_NEEDED=`cat ${BASEDIR}/cache/${TOOLCHAINNAME}.md5 | awk '{print \
$1}'`  
 		if [ x"${TOOLCHAIN_MD5_FOUND}" == x"${TOOLCHAIN_MD5_NEEDED}" ]; then
-			# It's a good toolchain, use it
+			# toolchain look good, use it
 			beautify message DONE
 
-			echo -ne "Unpacking toolchain"
+			echo -ne "Unpacking toolchain ${TOOLCHAINNAME} ${TOOLCHAIN_MD5_FOUND}"
 			tar --no-same-owner --group=${CURRENT_USER_GROUP} -zxf \
                ${BASEDIR}/cache/${TOOLCHAINNAME} \
 				-C ${BASEDIR}
 


This was sent by the SourceForge.net collaborative development platform, the world's \
largest Open Source development site.

-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Ipcop-svn mailing list
Ipcop-svn@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ipcop-svn


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic